# [![](resources/kirikas.png)](resources/kirika.png) Kirika

Collection of audio utilities for decoding/encoding files and streams.
* channel-based audio consumption chain
* Audio resampler
* FLAC stream decoder and encoder
* MP3 stream decoder
* Opus stream decoder

## Dependencies
### Go >= 1.18

### [libFLAC](https://github.com/xiph/flac) (required by [goflac](https://github.com/cocoonlife/goflac))
```shell
sudo apt install libflac-dev
```

### [libopus](https://github.com/xiph/opus) and [libopusfile](https://github.com/xiph/opusfile) (required by [go-pus](https://git.gammaspectra.live/S.O.N.G/go-pus))
```shell
sudo apt install libopus-dev libopusfile-dev
```

### [libsamplerate](https://github.com/libsndfile/libsamplerate) (required by [gosamplerate](https://github.com/dh1tw/gosamplerate))
```shell
sudo apt install libsamplerate0-dev
```